org.apache.http.client.protocol

## Class ClientContextConfigurer

- java.lang.Object
- - org.apache.http.client.protocol.ClientContextConfigurer

- All Implemented Interfaces:
    ClientContext

  Deprecated.
  (4.3) use `HttpClientContext`

      @Deprecated
      public class ClientContextConfigurer
      extends Object
      implements ClientContext

  Configuration facade for `HttpContext` instances.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.client.protocol.ClientContext

      `AUTH_CACHE, AUTH_SCHEME_PREF, AUTHSCHEME_REGISTRY, COOKIE_ORIGIN, COOKIE_SPEC, COOKIE_STORE, COOKIESPEC_REGISTRY, CREDS_PROVIDER, PROXY_AUTH_STATE, REQUEST_CONFIG, ROUTE, SCHEME_REGISTRY, SOCKET_FACTORY_REGISTRY, TARGET_AUTH_STATE, USER_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientContextConfigurer(org.apache.http.protocol.HttpContext context)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAuthSchemeRegistry(AuthSchemeRegistry registry)` Deprecated.
    `void` | `setCookieSpecRegistry(CookieSpecRegistry registry)` Deprecated.
    `void` | `setCookieStore(CookieStore store)` Deprecated.
    `void` | `setCredentialsProvider(CredentialsProvider provider)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientContextConfigurer

          public ClientContextConfigurer(org.apache.http.protocol.HttpContext context)

      Deprecated.

  - ### Method Detail

    - #### setCookieSpecRegistry

          public void setCookieSpecRegistry(CookieSpecRegistry registry)

      Deprecated.

    - #### setAuthSchemeRegistry

          public void setAuthSchemeRegistry(AuthSchemeRegistry registry)

      Deprecated.

    - #### setCookieStore

          public void setCookieStore(CookieStore store)

      Deprecated.

    - #### setCredentialsProvider

          public void setCredentialsProvider(CredentialsProvider provider)

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.